X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Why can't Firefox addons website recognize I'm using Firefox 5?

Posted

I have been using Firefox 5 for some months now, but since last week, Firefox addons website doesn't recognize it as Firefox 5. For example, every time I try to install recently updated theme, there is a message saying it is "Not available for Firefox 3.5.8". Even this page where I'm typing my question now, where you say "We've made some educated guesses about your current browser and operating system", Firefox version shows 3.5.8, and Operating system shows Vista, but I'm using Win7. Why is this happening? Can you, please, help me?

Chosen solution

You have or had an extension installed (MegaUpload toolbar|NET_mmhpset) that has changed the user agent.

You have a corrupted user agent that identifies you as Firefox/3.5.8

  • Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8 MEGAUPLOAD 3.0

See:

Read this answer in context 0

Additional System Details

Sites Affected

https://addons.mozilla.org/en-US/firefox/themes/?sort=updated

Installed Plug-ins

  • IE Tab 2 Plug-in for Mozilla/Firefox
  • Office Plugin for Netscape Navigator
  • Adobe PDF Plug-In For Firefox and Netscape
  • 6.0.12.1465
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 10.3 r181
  • Next Generation Java Plug-in 1.6.0_26 for Mozilla browsers
  • 4.0.60531.0
  • NPWLPG
  • Version 1.1.3, copyright 1996-2010 The VideoLAN Teamhttp://www.videolan.org/

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8 MEGAUPLOAD 3.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10747 solutions 96724 answers

Chosen Solution

You have or had an extension installed (MegaUpload toolbar|NET_mmhpset) that has changed the user agent.

You have a corrupted user agent that identifies you as Firefox/3.5.8

  • Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.8) Gecko/20100202 Firefox/3.5.8 MEGAUPLOAD 3.0

See:

Question owner

Thank you, cor-el, that solved it. The useragent was corrupted. Thank you very much.

cor-el
  • Top 10 Contributor
  • Moderator
10747 solutions 96724 answers

You're welcome